package de.ivu.elect.business.gebietsbaum.control;

import javax.inject.Inject;

import de.ivu.elect.business.gebietsbaum.entity.Gebietsart;
import de.ivu.elect.business.mandant.boundary.MandantDAO;

/**
 *  on 24.06.2015.
 */
public class GebietsartCreate extends AbstractGebietsartCreate{

  @Inject
  private transient MandantDAO mandantDAO;

  @Override
  public void save(Gebietsart entity) {
    entity.setMandant(mandantDAO.attach(entity.getMandant()));
    super.save(entity);
  }
}
